
supervised systemd
daemonize yes
pidfile /var/run/redis/redis-server.pid
port 6379
{% if ubuntu_gitlab_redis_type == "replica" %}
bind 127.0.0.1 {{ ubuntu_redis_replica_sentinel_ip }}
{% else %}
bind 127.0.0.1 {{ ubuntu_redis_master_1_sentinel_1_ip }}
{% endif %}

timeout 300

loglevel "notice"
logfile /var/log/redis/redis-server.log

databases 16

save 900 1
save 300 10
save 60 10000

rdbcompression "yes"

dbfilename dump.rdb
dir /var/lib/redis

appendonly "no"
appendfsync "everysec"
no-appendfsync-on-rewrite no

requirepass "{{ requirepass }}"
masterauth "{{ masterauth }}"

protected-mode "no"

{% if ubuntu_gitlab_redis_type == "replica" %}
replicaof {{ ubuntu_redis_master_1_sentinel_1_ip }} 6379
{% endif %}
